## python-aioopenssl 0.6.0

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = sphinx-data/build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/asyncio_xmpp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/asyncio_xmpp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/asyncio_xmpp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/asyncio_xmpp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-aioopenssl 0.4.1

=== debian/changelog ===
python-aioopenssl (0.4.1-2) unstable; urgency=medium

  * Change source package name to python-aioopenssl

 -- Jonas Schäfer <jonas@wielicki.name>  Mon, 29 Oct 2018 12:03:00 +0100

python-aioopenssl (0.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #892287)

 -- Jonas Schäfer <jonas@wielicki.name>  Sun, 05 Aug 2018 10:24:41 +0200

=== debian/control ===
Source: python-aioopenssl
Maintainer: Jonas Schäfer <jonas@wielicki.name>
Section: python
Priority: optional
Standards-Version: 4.1.5
Build-Depends:
  debhelper (>= 11),
  python3 (>= 3.3),
  dh-python,
  python3-openssl,
  python3-setuptools,
  python3-sphinx,
Rules-Requires-Root: no
Homepage: https://github.com/horazont/aioopenssl
Vcs-Git: https://salsa.debian.org/jssfr-guest/python3-aioopenssl.git
Vcs-Browser: https://salsa.debian.org/jssfr-guest/python3-aioopenssl

Package: python3-aioopenssl
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Asyncio TLS Transport using PyOpenSSL 
 Compared to the built-in ssl functionalities of asyncio, this 
 module provides support for STARTTLS and the possibility to 
 invoke a coroutine after the handshake but before the data 
 transfer is resumed, e.g. to ask for certificate validation.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONHASHSEED=0; \
	export PYTHONHASHSEED; \
	PYTHONPATH=. http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' make \
		   SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
		   docs-html

override_dh_auto_clean:
	dh_auto_clean
	make docs-clean

## python-aioopenssl 0.5.1

=== debian/changelog ===
python-aioopenssl (0.5.1-1) unstable; urgency=medium

  * Upstream releases 0.5.0 and 0.5.1
    - Compatibility with Python 3.8 (Closes: #954616)

 -- Jonas Schäfer <jonas@wielicki.name>  Fri, 10 Apr 2020 13:01:24 +0200

## python-aioopenssl 0.6.0

=== debian/changelog ===
python-aioopenssl (0.6.0-1) unstable; urgency=medium

  * New Upstream release
    - Support for Python 3.9
    - Drop support for Python < 3.5

 -- Jonas Schäfer <jonas@wielicki.name>  Sat, 16 Jan 2021 14:23:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Standards-Version: 4.1.5
 Build-Depends:
-  debhelper (>= 11),
+  debhelper-compat (= 13),
   python3 (>= 3.3),
   dh-python,
   python3-openssl,
@@ -12,8 +12,8 @@
   python3-sphinx,
 Rules-Requires-Root: no
 Homepage: https://github.com/horazont/aioopenssl
-Vcs-Git: https://salsa.debian.org/jssfr-guest/python3-aioopenssl.git
-Vcs-Browser: https://salsa.debian.org/jssfr-guest/python3-aioopenssl
+Vcs-Git: https://salsa.debian.org/jssfr/python3-aioopenssl.git
+Vcs-Browser: https://salsa.debian.org/jssfr/python3-aioopenssl
 
 Package: python3-aioopenssl
 Architecture: all
